<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<tagunit:assertEquals name="1st when block chosen">
  <tagunit:actualResult>
    <c:set var="i" value="1"/>
    <c:choose>
        <c:when test="${ i < 5}">
          1st when block chosen
        </c:when>
        <c:otherwise>
          Otherwise block chosen
        </c:otherwise>
    </c:choose>
  </tagunit:actualResult>
  <tagunit:expectedResult>
    1st when block chosen
  </tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="2nd when block chosen">
  <tagunit:actualResult>
    <c:set var="i" value="5"/>
    <c:choose>
        <c:when test="${ i < 5}">
          1st when block chosen
        </c:when>
        <c:when test="${ i < 10}">
          2nd when block chosen
        </c:when>
        <c:otherwise>
          Otherwise block chosen
        </c:otherwise>
    </c:choose>
  </tagunit:actualResult>
  <tagunit:expectedResult>
    2nd when block chosen
  </tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Otherwise block chosen">
  <tagunit:actualResult>
    <c:set var="i" value="15"/>
    <c:choose>
        <c:when test="${ i < 5}">
          1st when block chosen
        </c:when>
        <c:when test="${ i < 10}">
          2nd when block chosen
        </c:when>
        <c:when test="${ i < 15}">
          3rd when block chosen
        </c:when>
        <c:otherwise>
          Otherwise block chosen
        </c:otherwise>
    </c:choose>
  </tagunit:actualResult>
  <tagunit:expectedResult>
    Otherwise block chosen
  </tagunit:expectedResult>
</tagunit:assertEquals>