<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%
  pageContext.setAttribute("string", "x");
%>

<tagunit:assertEquals name="Simple output">
  <tagunit:actualResult><c:out value="${string}"/></tagunit:actualResult>
  <tagunit:expectedResult>x</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple output with default attribute">
  <tagunit:actualResult><c:out value="${string}" default="This is the default"/></tagunit:actualResult>
  <tagunit:expectedResult>x</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple output using default attribute">
  <tagunit:actualResult><c:out value="${noSuchVariable}" default="This is the default"/></tagunit:actualResult>
  <tagunit:expectedResult>This is the default</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple output with default body content">
  <tagunit:actualResult><c:out value="${string}">This is the default</c:out></tagunit:actualResult>
  <tagunit:expectedResult>x</tagunit:expectedResult>
</tagunit:assertEquals>

<%
  pageContext.removeAttribute("string");
%>

<tagunit:assertEquals name="Simple output using default body content">
  <tagunit:actualResult><c:out value="${string}">This is the default</c:out></tagunit:actualResult>
  <tagunit:expectedResult>This is the default</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple output without default attribute or body content">
  <tagunit:actualResult><c:out value="${string}"/></tagunit:actualResult>
  <tagunit:expectedResult></tagunit:expectedResult>
</tagunit:assertEquals>

<%
  pageContext.setAttribute("characters", "Characters that get converted are : < > & ' \"");
%>

<tagunit:assertEquals name="Escaped output (escapeXml=default)">
  <tagunit:actualResult><c:out value="${characters}"/></tagunit:actualResult>
  <tagunit:expectedResult>Characters that get converted are : &lt; &gt; &amp; &#039; &#034;</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Escaped output (escapeXml=true)">
  <tagunit:actualResult><c:out value="${characters}" escapeXml="true"/></tagunit:actualResult>
  <tagunit:expectedResult>Characters that get converted are : &lt; &gt; &amp; &#039; &#034;</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Unescaped output (escapeXml=false)">
  <tagunit:actualResult><c:out value="${characters}" escapeXml="false"/></tagunit:actualResult>
  <tagunit:expectedResult>Characters that get converted are : < > & ' "</tagunit:expectedResult>
</tagunit:assertEquals>





