<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%-- syntax 1 : without body content --%>

<tagunit:assertEquals name="Simple static URL">
  <tagunit:actualResult>
    <c:url value="relative.jsp"/>
  </tagunit:actualResult>
  <tagunit:expectedResult>
    relative.jsp
  </tagunit:expectedResult>
</tagunit:assertEquals>
  
<tagunit:assertEquals name="Simple static relative URL">
  <tagunit:actualResult><c:url value="/relative.jsp"/></tagunit:actualResult>
  <tagunit:expectedResult>/tagunit-examples/relative.jsp</tagunit:expectedResult>
</tagunit:assertEquals>
  
<tagunit:assertEquals name="Simple static absolute URL">
  <tagunit:actualResult><c:url value="http://java.sun.com"/></tagunit:actualResult>
  <tagunit:expectedResult>http://java.sun.com</tagunit:expectedResult>
</tagunit:assertEquals>
  
<c:set var="dynamicUrl" value="relative.jsp"/>
<tagunit:assertEquals name="Simple dynamic relative URL">
  <tagunit:actualResult><c:url value="${dynamicUrl}"/></tagunit:actualResult>
  <tagunit:expectedResult>relative.jsp</tagunit:expectedResult>
</tagunit:assertEquals>
  
<tagunit:assertEquals name="URL in another context (static)">
  <tagunit:actualResult><c:url value="/relative.jsp" context="/another"/></tagunit:actualResult>
  <tagunit:expectedResult>/another/relative.jsp</tagunit:expectedResult>
</tagunit:assertEquals>
  
<c:set var="dynamicContext" value="/another"/>
<tagunit:assertEquals name="URL in another context (dynamic)">
  <tagunit:actualResult>
    <c:url value="/relative.jsp" context="${dynamicContext}"/>
  </tagunit:actualResult>
  <tagunit:expectedResult>
    /another/relative.jsp
  </tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple URL exported to var (no output)">
  <tagunit:actualResult>
    <c:url value="relative.jsp" var="myUrl"/>
  </tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
<tagunit:assertPageContextAttribute name="myUrl" type="java.lang.String" value="relative.jsp"/>

<tagunit:assertEquals name="Simple URL exported to var in request scope (no output)">
  <tagunit:actualResult>
    <c:url value="relative.jsp" var="myUrlInRequest" scope="request"/>
  </tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
<tagunit:assertPageContextAttribute name="myUrlInRequest" type="java.lang.String" value="relative.jsp" scope="request"/>

<tagunit:assertEquals name="Simple URL exported to var in page scope (no output)">
  <tagunit:actualResult>
    <c:url value="relative.jsp" var="myUrlInPage" scope="page"/>
  </tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
<tagunit:assertPageContextAttribute name="myUrlInPage" type="java.lang.String" value="relative.jsp" scope="page"/>

<tagunit:assertEquals name="Simple URL exported to var in session scope (no output)">
  <tagunit:actualResult>
    <c:url value="relative.jsp" var="myUrlInSession" scope="session"/>
  </tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
<tagunit:assertPageContextAttribute name="myUrlInSession" type="java.lang.String" value="relative.jsp" scope="session"/>

<tagunit:assertEquals name="Simple URL exported to var in application scope (no output)">
  <tagunit:actualResult>
    <c:url value="relative.jsp" var="myUrlInApplication" scope="application"/>
  </tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
<tagunit:assertPageContextAttribute name="myUrlInApplication" type="java.lang.String" value="relative.jsp" scope="application"/>

  
